# stuff to be implemented externally:
Source10: kmodtool
%define   kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.21-1.3194.fc7}

%define kmod_name fsam7400
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}

Name:           %{kmod_name}-kmod
Version:        0.5.1
Release:        2.%(echo %{kverrel} | tr - _)
Summary:        RF Kill switch software button for Fujitsu-Siemens

Group:          System Environment/Kernel
License:        GPL
URL:            http://rfswitch.sourceforge.net/?page=laptop_matrix
Source0:        http://zwobbl.homelinux.net/pub/fsam7400-%{version}.tgz
Patch0:        http://zwobbl.homelinux.net/pub/fsam7400-0.5.1-2.6.19.1.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	fsam7400-kmod-common >= %{version}

%description
This module allows change the status of wireless card's radio on 
Fujitsu-Siemens Amilo M 7440 and others.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c
%patch0 

## Fix the #include <linux/config.h> - call deprecated since 2.6.18
# from Ville Skyttä - madwifi package.
#grep -rlF '<linux/config.h>' %{kmod_name}-%{version} \
#| xargs sed -i -e 's|<linux/config.h>|<linux/autoconf.h>|'

for kvariant in %{kvariants} ; do
	cp -a %{kmod_name}-%{version} _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants}
do
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
cd _kmod_build_$kvariant
make \
	KERNELSRC="${ksrc}" \
	KERNELVERSION=%{kverrel}${kvariant}  
cd ..
done

%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
pushd _kmod_build_$kvariant
install -D -m 0644 *.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/
popd
done
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*



%changelog
* Wed Jan 31 2007 kwizart < kwizart at gmail.com > - 0.5.1-2
- Fix KERNELSRC & KERNELVERSION
- Add patch
* Mon Dec 04 2006 kwizart < kwizart at gmail.com > - 0.5.1-1.fc6
- Initial Release.
